## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemEmpty Class Reference

Simple empty elem to push on the stack when nothing else got pushed, so that pop() works correctly. More...

`#include <ElemEmpty.hpp>`

Inheritance diagram for ElemEmpty:

[legend]
Collaboration diagram for ElemEmpty:

[legend]
List of all members.

## Public Methods

- ElemEmpty (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, const XalanDOMString *elementName=0)
    Construct an object corresponding to an empty element. More...
- ElemEmpty (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMString *elementName=0)
    Construct an object corresponding to an empty element. More...
- virtual ~ElemEmpty ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...

## Protected Methods

- virtual bool childTypeAllowed (int xslToken) const
    Given an xsl token type, determine whether or not a child of that type is allowed. More...

## Detailed Description

Simple empty elem to push on the stack when nothing else got pushed, so that pop() works correctly.

## Constructor & Destructor Documentation

ElemEmpty::ElemEmpty ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| int lineNumber,
| int columnNumber,
| const XalanDOMString * elementName = 0 )

  | Construct an object corresponding to an empty element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  lineNumber | line number in document
  columnNumber | column number in document
  elementName | The element name for which this instance is representing

ElemEmpty::ElemEmpty ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMString * elementName = 0 )

  | Construct an object corresponding to an empty element. This constructor is used for surrogate empty elements that do not need namespace contexts and Locator information, etc. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  elementName | The element name for which this instance is representing

ElemEmpty::~ElemEmpty ( | )`[virtual]`

## Member Function Documentation

bool ElemEmpty::childTypeAllowed ( | int xslToken ) const`[protected, virtual]`

  | Given an xsl token type, determine whether or not a child of that type is allowed. This is so derived types can determine whether a particular type of child is allowed for the instance. It is called from appendChildElem(). The default is to allow no types (no children) Parameters:
  xslToken | The xsl token value of the child.
Returns: true if the child is allowed, or false if not. Reimplemented from ElemTemplateElement.

const XalanDOMString & ElemEmpty::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

const ElemTemplateElement * ElemEmpty::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemEmpty.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.